com.collabnet.ce.soap60.webservices.scm

## Class RepositorySoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
  - - com.collabnet.ce.soap60.webservices.scm.RepositorySoapRow

-     public class RepositorySoapRow
      extends FolderSoapRow

  This class represents a list of repositories. Each row within a repository list is represented by a RespositorySoapRow class.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositorySoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCommitsThisWeek()` Returns 'commitsThisWeek'.
    `String` | `getRepositoryPath()` Returns 'repositoryPath'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCommitsThisWeek(int commitsThisWeek)` Sets 'commitsThisWeek'.
    `void` | `setRepositoryPath(String repositoryPath)` Sets 'repositoryPath'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

      `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositorySoapRow

          public RepositorySoapRow()

  - ### Method Detail

    - #### getRepositoryPath

          public String getRepositoryPath()

      Returns 'repositoryPath'. SCM repository path.
      Returns:
        Value of 'repositoryPath'.

    - #### setRepositoryPath

          public void setRepositoryPath(String repositoryPath)

      Sets 'repositoryPath'. SCM repository path.
      Parameters:
        `repositoryPath` - Value of 'repositoryPath'.

    - #### getCommitsThisWeek

          public int getCommitsThisWeek()

      Returns 'commitsThisWeek'. Number of commits performed this week.
      Returns:
        Value of 'commitsThisWeek'.

    - #### setCommitsThisWeek

          public void setCommitsThisWeek(int commitsThisWeek)

      Sets 'commitsThisWeek'. Number of commits performed this week.
      Parameters:
        `commitsThisWeek` - Value of 'commitsThisWeek'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.